.rtds-user-dropdown {
    display: flex;
}
@media (min-width: 1024px) {
    .rtds-user-dropdown__menu.has-dropdown-menu {
        position: relative;
    }
}
:where(.rtds-user-dropdown__menu) .rtds-dropdown-trigger {
    width: 100%;
    padding: var(--spacing-3);
    font-size: var(--fontsize-text-sm);
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: var(--spacing-2);
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
:where(.rtds-user-dropdown__menu) .rtds-dropdown-trigger:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    text-decoration-line: underline;
        color: var(--color-content-primary);
}
@media (min-width: 1024px) {
    :where(.rtds-user-dropdown__menu) .rtds-dropdown-trigger {
        border-radius: 0.25rem;
        font-size: var(--fontsize-text-base);
    }
}
.rtds-user-dropdown__menu-label {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    padding: var(--spacing-3);
}
.rtds-user-dropdown__menu-list {
    z-index: 20;
    font-size: var(--fontsize-text-base);
}
@media (min-width: 1024px) {
    .rtds-user-dropdown__menu-list {
        font-size: var(--fontsize-text-sm);
    }
}
.rtds-user-dropdown__menu-sublist {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    padding-left: var(--spacing-3);
}
.rtds-user-dropdown__menu-link:hover {
    text-decoration-line: underline;
        color: var(--color-content-primary);
}
.rtds-user-dropdown__menu-logout {
    justify-content: space-between;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    padding: var(--spacing-3);
    display: flex;
    align-items: center;
    gap: var(--spacing-2);
}
.rtds-user-dropdown__login-trigger {
    padding: var(--spacing-3);
    font-size: var(--fontsize-text-sm);
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: var(--spacing-2);
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
.rtds-user-dropdown__login-trigger:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    text-decoration-line: underline;
        color: var(--color-content-primary);
}
@media (min-width: 1024px) {
    .rtds-user-dropdown__login-trigger {
        border-radius: 0.25rem;
        font-size: var(--fontsize-text-base);
    }
}
